#
# SPEC File for GTK
#
Summary:	GTK+ toolkit libraries used by the GNU Image Manipulation Program.
Name:		gtk+
Version:	971109
Release:	1A
Copyright:	GPL
Group:		Libraries
Source:		ftp://ftp.gimp.org/pub/devel/gtk+-971109.tar.gz
URL:		http://www.gimp.org/
Packager:	Keisuke Fujii <fujiik@jlcuxf.kek.jp>
Prefix:		/usr
BuildRoot:	/var/tmp/build-gtk

%description
GTK is THE general tool-kit for the GIMP. It is used by GIMP and plugins to
create and manipulate widgets. It is compact and fast, consisting of really
three parts, the glib, the gdk(the general drawing tool-kit) and the gtk.

%prep
%setup

%build
rm -f docs/*.info
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=/usr --enable-shared
make

%install
if [ "X$RPM_BUILD_ROOT" != "X" ]; then
   rm -rf $RPM_BUILD_ROOT
fi

mkdir -p ${RPM_BUILD_ROOT}/usr

make install prefix=${RPM_BUILD_ROOT}/usr

gzip -qf ${RPM_BUILD_ROOT}/usr/info/gdk.info 
gzip -qf ${RPM_BUILD_ROOT}/usr/info/gtk.info 
gzip -qf ${RPM_BUILD_ROOT}/usr/info/gtk.info-1
gzip -qf ${RPM_BUILD_ROOT}/usr/info/gtk.info-2
gzip -qf ${RPM_BUILD_ROOT}/usr/info/gtk.info-3
gzip -qf ${RPM_BUILD_ROOT}/usr/info/gtk.info-4

%post
/usr/bin/install-info --info-dir=/usr/info ${RPM_INSTALL_PREFIX}/info/gdk.info.gz
/usr/bin/install-info --info-dir=/usr/info ${RPM_INSTALL_PREFIX}/info/gtk.info.gz
/sbin/ldconfig

%preun
/usr/bin/install-info --remove --info-dir=/usr/info ${RPM_INSTALL_PREFIX}/info/gdk.info.gz
/usr/bin/install-info --remove --info-dir=/usr/info ${RPM_INSTALL_PREFIX}/info/gtk.info.gz

%postun
/sbin/ldconfig

%clean
if [ "X$RPM_BUILD_ROOT" != "X" ]; then
   rm -rf $RPM_BUILD_ROOT
fi

%files
%dir /usr/include/gdk
%dir /usr/include/gtk
%doc    README AUTHORS NEWS ChangeLog COPYING
%doc    INSTALL docs/*texi docs/Makefile

/usr/include/gdk/gdk.h
/usr/include/gdk/gdkcursors.h
/usr/include/gdk/gdkinput.h
/usr/include/gdk/gdkinputcommon.h
/usr/include/gdk/gdkinputgxi.h
/usr/include/gdk/gdkinputnone.h
/usr/include/gdk/gdkinputxfree.h
/usr/include/gdk/gdkkeysyms.h
/usr/include/gdk/gdkprivate.h
/usr/include/gdk/gdktypes.h
/usr/include/gdk/gdkx.h
/usr/include/gdk/gxid_lib.h
/usr/include/gdk/gxid_proto.h
/usr/include/glib.h
/usr/include/glibconfig.h
/usr/include/gtk/gtk.h
/usr/include/gtk/gtkaccelerator.h
/usr/include/gtk/gtkadjustment.h
/usr/include/gtk/gtkalignment.h
/usr/include/gtk/gtkarrow.h
/usr/include/gtk/gtkaspectframe.h
/usr/include/gtk/gtkbbox.h
/usr/include/gtk/gtkbin.h
/usr/include/gtk/gtkbox.h
/usr/include/gtk/gtkbutton.h
/usr/include/gtk/gtkcheckbutton.h
/usr/include/gtk/gtkcheckmenuitem.h
/usr/include/gtk/gtkcolorsel.h
/usr/include/gtk/gtkcontainer.h
/usr/include/gtk/gtkcurve.h
/usr/include/gtk/gtkdata.h
/usr/include/gtk/gtkdialog.h
/usr/include/gtk/gtkdrawingarea.h
/usr/include/gtk/gtkentry.h
/usr/include/gtk/gtkenums.h
/usr/include/gtk/gtkeventbox.h
/usr/include/gtk/gtkfilesel.h
/usr/include/gtk/gtkfixed.h
/usr/include/gtk/gtkframe.h
/usr/include/gtk/gtkgamma.h
/usr/include/gtk/gtkgc.h
/usr/include/gtk/gtkhbbox.h
/usr/include/gtk/gtkhbox.h
/usr/include/gtk/gtkhpaned.h
/usr/include/gtk/gtkhruler.h
/usr/include/gtk/gtkhscale.h
/usr/include/gtk/gtkhscrollbar.h
/usr/include/gtk/gtkhseparator.h
/usr/include/gtk/gtkimage.h
/usr/include/gtk/gtkinputdialog.h
/usr/include/gtk/gtkitem.h
/usr/include/gtk/gtklabel.h
/usr/include/gtk/gtklist.h
/usr/include/gtk/gtklistitem.h
/usr/include/gtk/gtkmain.h
/usr/include/gtk/gtkmenu.h
/usr/include/gtk/gtkmenubar.h
/usr/include/gtk/gtkmenufactory.h
/usr/include/gtk/gtkmenuitem.h
/usr/include/gtk/gtkmenushell.h
/usr/include/gtk/gtkmisc.h
/usr/include/gtk/gtknotebook.h
/usr/include/gtk/gtkobject.h
/usr/include/gtk/gtkoptionmenu.h
/usr/include/gtk/gtkpaned.h
/usr/include/gtk/gtkpixmap.h
/usr/include/gtk/gtkpreview.h
/usr/include/gtk/gtkprogressbar.h
/usr/include/gtk/gtkradiobutton.h
/usr/include/gtk/gtkradiomenuitem.h
/usr/include/gtk/gtkrange.h
/usr/include/gtk/gtkrc.h
/usr/include/gtk/gtkruler.h
/usr/include/gtk/gtkscale.h
/usr/include/gtk/gtkscrollbar.h
/usr/include/gtk/gtkscrolledwindow.h
/usr/include/gtk/gtkselection.h
/usr/include/gtk/gtkseparator.h
/usr/include/gtk/gtksignal.h
/usr/include/gtk/gtkstyle.h
/usr/include/gtk/gtktable.h
/usr/include/gtk/gtktext.h
/usr/include/gtk/gtktogglebutton.h
/usr/include/gtk/gtktooltips.h
/usr/include/gtk/gtktree.h
/usr/include/gtk/gtktreeitem.h
/usr/include/gtk/gtktypebuiltins.h
/usr/include/gtk/gtktypeutils.h
/usr/include/gtk/gtkvbbox.h
/usr/include/gtk/gtkvbox.h
/usr/include/gtk/gtkviewport.h
/usr/include/gtk/gtkvpaned.h
/usr/include/gtk/gtkvruler.h
/usr/include/gtk/gtkvscale.h
/usr/include/gtk/gtkvscrollbar.h
/usr/include/gtk/gtkvseparator.h
/usr/include/gtk/gtkwidget.h
/usr/include/gtk/gtkwindow.h
/usr/info/gdk.info.gz
/usr/info/gtk.info.gz
/usr/info/gtk.info-1.gz
/usr/info/gtk.info-2.gz
/usr/info/gtk.info-3.gz
/usr/info/gtk.info-4.gz
/usr/lib/libgdk.a
/usr/lib/libgdk.la
/usr/lib/libgdk.so
/usr/lib/libgdk.so.1
/usr/lib/libgdk.so.1.0.0
/usr/lib/libglib.a
/usr/lib/libglib.la
/usr/lib/libglib.so
/usr/lib/libglib.so.1
/usr/lib/libglib.so.1.0.0
/usr/lib/libgtk.a
/usr/lib/libgtk.la
/usr/lib/libgtk.so
/usr/lib/libgtk.so.1
/usr/lib/libgtk.so.1.0.0

